module  output_hemin40_mod

       USE module3D_phy
       use calving_frange, only : hcoup  !afq -- needed for the freshwater flux calculation
       
implicit none

real ::  bmean                        !
real ::  accmean                      ! accumulation moyenne
real ::  ablmean                      ! ablation moyenne
real ::  calvmean                     ! moyenne calving
real ::  ablbordmean                  !
real ::  ablatotmean
real ::  bmeltmean                    ! moyenne fusion basale
real ::  tbmean                       ! temperature basale moyenne
real ::  tbdotmean                    ! moyenne variation / temps temperature basale
real ::  vsmean                       ! vitesse de surface moyenne
!real ::  vsdotmean                    ! moyenne variation / temps vitesse de surface
real ::  uzsmean   !!!! utilise ?     ! vitesse verticale de surface moyenne
real ::  uzsdotmean                   ! moyenne variation / temps vitesse verticale de surface
real ::  uzkmean                      ! moyenne vitesse verticale de surface
real ::  hdotmean                     ! moyenne derivee / temps de H
real ::  bdotmean                     ! moyenne bedrock derive / temps
!real ::  pf0mean                      ! moyenne de PF0
!real ::  pf1mean                      ! moyenne de PF1
!real ::  evapmean                     ! moyenne de EVAP
!real ::  pwmean                       ! moyenne PW
!real ::  pdfmean                      ! moyenne PDF
logical,dimension(nx,ny,13) :: mask_cal ! masque regions calotte 
REAL, dimension(nx,ny) :: old_H_dtt      ! Epaisseur de glace au pas de temps precedent
integer, dimension(nx,ny) :: write_mask

CONTAINS
!_________________________________________________________________________
subroutine init_outshort

!ndisp sorite courte tous les ndisp
NDISP=100
mask_cal(:,:,:)=.false.
mask_cal(:,:,1)=.true.
old_H_dtt(:,:)=H(:,:) ! afq missing in mab?
! calcul d'un masque pour les regions des calottes
do j=1,ny
   do i=1,nx
! -- Laurentide
      IF( (((xlong(i,j).ge.190).AND.(xlong(i,j).lt.210)).AND. &
           ((ylat(i,j).ge.50).AND.(ylat(i,j).le.70))).OR.      &
           (((xlong(i,j).ge.210).AND.(xlong(i,j).lt.220)).AND. &
           ((ylat(i,j).ge.55).AND.(ylat(i,j).le.75))).OR.      &
           (((xlong(i,j).ge.220).AND.(xlong(i,j).lt.250)).AND. & 
           ((ylat(i,j).ge.40).AND.(ylat(i,j).le.85))).OR.      &
           (((xlong(i,j).ge.250).AND.(xlong(i,j).lt.290)).AND. &
           ((ylat(i,j).ge.35).AND.(ylat(i,j).le.85))).OR.      &
           (((xlong(i,j).ge.290).AND.(xlong(i,j).lt.300)).AND. &
           ((ylat(i,j).ge.35).AND.(ylat(i,j).le.75))).OR.      &
           (((xlong(i,j).ge.300).AND.(xlong(i,j).le.310)).AND. &
           ((ylat(i,j).ge.35).AND.(ylat(i,j).lt.60))) ) mask_cal(i,j,2)=.true.
! -- Groenland

! -- Labrador Sector 
        IF((((xlong(i,j).ge.285).AND.(xlong(i,j).le.300)).AND.  &
            ((ylat(i,j).ge.35).AND.(ylat(i,j).le.70))).OR.      &
            (((xlong(i,j).ge.300).AND.(xlong(i,j).lt.310)).AND. &
            ((ylat(i,j).ge.35).AND.(ylat(i,j).lt.60)))) mask_cal(i,j,5)=.true.
! -- Keewatin Sector 
        IF(  ((xlong(i,j).gt.240).AND.(xlong(i,j).lt.285)).AND. &
             ((ylat(i,j).ge.35).AND.(ylat(i,j).le.70)) ) mask_cal(i,j,6)=.true.
! -- Innuitian Ice Sheet
        IF( ((xlong(i,j).gt.230).AND.(xlong(i,j).lt.290)).AND. &
            ((ylat(i,j).gt.70).AND.(ylat(i,j).le.85))) mask_cal(i,j,7)=.true.
! -- Cordilleran Ice Sheet
        IF( (((xlong(i,j).ge.190).AND.(xlong(i,j).lt.210)).AND. &
            ((ylat(i,j).ge.50).AND.(ylat(i,j).le.70))).OR.      &
            (((xlong(i,j).ge.210).AND.(xlong(i,j).lt.220)).AND. &
            ((ylat(i,j).ge.55).AND.(ylat(i,j).le.75))).OR.      &
            (((xlong(i,j).ge.210).AND.(xlong(i,j).lt.220)).AND. &
             ((ylat(i,j).ge.55).AND.(ylat(i,j).le.75))).OR.     &
            (((xlong(i,j).ge.220).AND.(xlong(i,j).le.240)).AND. &
             ((ylat(i,j).ge.40).AND.(ylat(i,j).le.70))) ) mask_cal(i,j,8)=.true.
! -- Groenland 
        IF( (((xlong(i,j).ge.290).AND.(xlong(i,j).le.310)).AND. &
            ((ylat(i,j).ge.75).AND.(ylat(i,j).le.85))).OR.      &
            (((xlong(i,j).ge.300).AND.(xlong(i,j).lt.310)).AND. &
            ((ylat(i,j).ge.60).AND.(ylat(i,j).le.75))).OR.      &
!           (((xlong(i,j).ge.310).AND.(xlong(i,j).le.350)).AND. &
!           ((ylat(i,j).ge.40).AND.(ylat(i,j).le.85))) ) THEN
            (((xlong(i,j).ge.310).AND.(xlong(i,j).le.345)).AND. &
            ((ylat(i,j).ge.54).AND.(ylat(i,j).le.85))) ) mask_cal(i,j,3)=.true.
! -- Fennoscandie
        IF( (((xlong(i,j).ge.345).AND.(xlong(i,j).lt.360)).AND. & !British
            ((ylat(i,j).ge.50).AND.(ylat(i,j).le.60))).OR.      &
            (((xlong(i,j).ge.0).AND.(xlong(i,j).le.40)).AND.    & !Scand
            ((ylat(i,j).ge.50).AND.(ylat(i,j).le.70))).OR.      &
!            (((xlong(i,j).ge.50).AND.(xlong(i,j).le.120)).AND.  &
            (((xlong(i,j).ge.10).AND.(xlong(i,j).le.122)).AND.  & !BK
            ((ylat(i,j).ge.65).AND.(ylat(i,j).le.85))) ) mask_cal(i,j,4)=.true.
!! -- Scandinavian Ice Sheet Pauline
        IF( ((xlong(i,j).gt.0.).AND.(xlong(i,j).le.40)).AND. &
             ((ylat(i,j).ge.50).AND.(ylat(i,j).le.70))) mask_cal(i,j,9)=.true.
! -- Barents Ice Sheet Pauline
        IF ( (((xlong(i,j).gt.10.).AND.(xlong(i,j).le.60.)).AND. &
             ((ylat(i,j).gt.70).AND.(ylat(i,j).le.85.))).OR.    &
             (((xlong(i,j).gt.40.).AND.(xlong(i,j).le.60.)).AND. &
              ((ylat(i,j).ge.65.).AND.(ylat(i,j).lt.70.)))) mask_cal(i,j,10)=.true.
! -- Kara Ice Sheet Pauline
        IF( (((xlong(i,j).gt.60.).AND.(xlong(i,j).le.122)).AND. &
             ((ylat(i,j).ge.70).AND.(ylat(i,j).le.85))).OR.    &
             (((xlong(i,j).gt.60.).AND.(xlong(i,j).le.80.)).AND. &
              ((ylat(i,j).ge.65.).AND.(ylat(i,j).lt.70.))))  mask_cal(i,j,11)=.true.
! -- British Ice Sheet Pauline
        IF( ((xlong(i,j).gt.350.).AND.(xlong(i,j).le.360)).AND. &
             ((ylat(i,j).ge.50).AND.(ylat(i,j).le.60))) mask_cal(i,j,13)=.true.
! -- Siberian Ice Sheet 
        IF( ((xlong(i,j).gt.122.).AND.(xlong(i,j).lt.190)).AND. &
             ((ylat(i,j).ge.60).AND.(ylat(i,j).le.85))) mask_cal(i,j,12)=.true.
       enddo
    enddo
!        open (UNIT=7777,file='mask_hemin40-02.dat')
!   do j=1,ny
!        do i=1,nx
!        if (mask_cal(i,j,2)) then
!                write_mask(i,j)=2
!        else
!                write_mask(i,j)=0
!        endif    
!        write(7777,*) i,j,write_mask(i,j)
!        enddo     
!   enddo
!   close(UNIT=7777)
!   stop

! ecriture entete avec les colonnes du fichier short :
WRITE(num_ritz, '(a91)')"! hemin40    : time,isvol,deltavol,inp,isvolf,inf,isacc,isabl,ISABLBORD,ABLATOT,ISCALV,ISBM"
WRITE(num_ritz, '(a90)')"! colonne    :  1    2      3       4    5     6    7     8      9        10      11    12"
WRITE(num_ritz,'(a157)')"! calotte    : Laurentide Groenland Fennoscandie LabradorSector KeewatinSector InnuitianIS CordilleranIS ScandinavianIS BarentsIS KaraIS SiberianIS BritishIS"
WRITE(num_ritz,'(a153)')"! isvol      :    13        26          39            52            65             78           91            104         117      130      143       156"
WRITE(num_ritz,'(a153)')"! inp        :    14        27          40            53            66             79           92            105         118      131      144       157"
WRITE(num_ritz,'(a153)')"! isvolf     :    15        28          41            54            67             80           93            106         119      132      145       158"
WRITE(num_ritz,'(a153)')"! inf        :    16        29          42            55            68             81           94            107         120      133      146       159"
WRITE(num_ritz,'(a153)')"! isacc      :    17        30          43            56            69             82           95            108         121      134      147       160"
WRITE(num_ritz,'(a153)')"! isabl      :    18        31          44            57            70             83           96            109         122      135      148       161"
WRITE(num_ritz,'(a153)')"! isablbord  :    19        32          45            58            71             84           97            110         123      136      149       162"
WRITE(num_ritz,'(a153)')"! ablatot    :    20        33          46            59            72             85           98            111         124      137      150       163"
WRITE(num_ritz,'(a153)')"! iscalv     :    21        34          47            60            73             86           99            112         125      138      151       164"
WRITE(num_ritz,'(a153)')"! isbm       :    22        35          48            61            74             87          100            113         126      139      152       165"
WRITE(num_ritz,'(a153)')"! itjjamean_ :    23        36          49            62            75             88          101            114         127      140      153       166"
WRITE(num_ritz,'(a153)')"! hmean_     :    24        37          50            63            76             89          102            115         128      141      154       167"
WRITE(num_ritz,'(a153)')"! Hmax_      :    25        38          51            64            77             90          103            116         129      142      155       168"
WRITE(num_ritz,*)
end subroutine init_outshort

!_________________________________________________________________________
subroutine shortoutput

! 1_initialization
!------------------
      integer KK
!     integer inpl, INPG, INPF
!     integer inplab,inpkeew,inpinn,inpcord
!     integer inpscaN,inpbar,inpkara,inpsib,inpbrit
     integer inp(13) ! Surface posee (nb de noeuds)
     integer inf(13) ! surface flottante

!Variables pour sommer      
      real isvol(13),isvolf(13) ! volume pos et flottants
      REAL ISCALV(13),ISACC(13),ISBM(13),ISABL(13)
      REAL ISABLBORD(13),ABLATOT(13),TACC(13),TBM(13)
      REAL ITJJA(13)
!      REAL ABLAMEAN
!moyennes utilises en output
      REAL HMAX_(13) , HMEAN_(13) 
      REAL BMEAN_(13) , ACCMEAN_(13) , ABLMEAN_(13) , ABLBORDMEAN_(13)
      REAL ABLATOTMEAN_(13) , CALVMEAN_(13) , ITJJAMEAN_(13)



!     REAL ITJJAMEAN_L, ITJJAMEAN_G, ITJJAMEAN_F ...
!     REAL ITJJAMEAN_LAB,ITJJAMEAN_KEEW,ITJJAMEAN_INN,ITJJAMEAN_CORD
!     REAL ITJJAMEAN_SCAN,ITJJAMEAN_BAR,ITJJAMEAN_KARA,ITJJAMEAN_SIB,ITJJAMEAN_BRIT

      REAL HDOTMEAN_G
!      REAL ABLA(NX,NY)
      REAL DELTAVOL
      REAL, dimension(nx,ny) :: delta_H_dtt


!     open(unit=4145,file='reg_output_nord.dat')

      BMELTMEAN=0.
      TBMEAN=0.
      TBDOTMEAN=0.
      VSMEAN=0.
      UZSMEAN=0.
      UZSDOTMEAN=0.
      UZKMEAN=0.
      HDOTMEAN=0.
      HDOTMEAN_G = 0.
      BDOTMEAN=0.

      runof_oc(:,:)    = 0.
      bmelt_oc(:,:)    = 0.
      delta_H_dtt(:,:) = 0.
      
      DO kk = 1,13
        INP(kk) = 0
        INF(kk) = 0
        ISVOL(kk) = 0.
        ISVOLF(kk) = 0.
        ISBM(kk) = 0.
        ISACC(kk) = 0.
        ISCALV(kk) = 0.
        ISABL(kk) = 0.
        ISABLBORD(kk) = 0.
        ABLATOT(kk)= 0.
        TACC(kk) = 0.
        TBM(kk) = 0.
        ITJJA(kk) = 0.
        
! nouveau tof mai 2009
!        where (mask_cal(:,:,kk).and.H(:,:).gt.2..and.flot(:,:)) ISVOLF(kk) = ISVOLF(kk) + H(I,J)
        isvolf(kk) = sum(H(:,:),mask=(mask_cal(:,:,kk).and.(H(:,:).gt.2.).and.flot(:,:)))
        INF(kk) = count(mask_cal(:,:,kk).and.(H(:,:).gt.2.).and.flot(:,:))

        INP(kk) = count(mask_cal(:,:,kk).and.(H(:,:).gt.2.).and..not.flot(:,:))
        isvol(kk) = sum(H(:,:),mask=(mask_cal(:,:,kk).and.(H(:,:).gt.2.).and..not.flot(:,:)))
        isacc(kk) = sum(Acc(:,:),mask=(mask_cal(:,:,kk).and.(H(:,:).gt.2.).and..not.flot(:,:)))
        isabl(kk) = sum(Abl(:,:),mask=(mask_cal(:,:,kk).and.(H(:,:).gt.2.).and..not.flot(:,:)))
        itjja(kk) = sum(Tjuly(:,:),mask=(mask_cal(:,:,kk).and.(H(:,:).gt.2.).and..not.flot(:,:)))
        Hmax_(kk) = maxval(H(:,:),mask=(mask_cal(:,:,kk).and.(H(:,:).gt.2.).and..not.flot(:,:)))
        Tacc(kk) = sum(Acc(:,:),mask=(mask_cal(:,:,kk).and.(H(:,:).gt.2.)))
        isablbord(kk) = sum(ablbord(:,:),mask=(mask_cal(:,:,kk)))
        iscalv(kk) =  sum(calv(:,:),mask=(mask_cal(:,:,kk).and.(H(:,:).gt.2.)))/dt

        ablatot(kk) = isabl(kk) + isablbord(kk)
        isbm(kk) = isacc(kk)+isabl(kk)+iscalv(kk)+isablbord(kk)
        Tbm(kk) = Tacc(kk)+isabl(kk)+iscalv(kk)+isablbord(kk)


     enddo

! afq -- thickness variation 
     delta_H_dtt(:,:) = old_H_dtt(:,:) - H(:,:)
! afq -- continental runoff     
!        this goes to ECBilt, will be sum up, then routed to CLIO
!     where (mask_cal(:,:,1).and.((H(:,:).gt.1.).or.(old_H_dtt(:,:).gt.1.)).and..not.flot(:,:))
!     afq I think we do not need the H condition:
     where  (mask_cal(:,:,1).and..not.flot(:,:))
        runof_oc(:,:) = runof_oc(:,:) + DBLE(delta_H_dtt(:,:))*DX*DY
     endwhere
! afq -- shelf runoff
!        this goes to bilinear interpolation, then put to CLIO
!        we have to make sure that we are not considering a "calved" point
     where (mask_cal(:,:,1).and.(H(:,:).gt.1.).and.flot(:,:).and.(calv(:,:).eq.0.))
        bmelt_oc(:,:) = bmelt_oc(:,:) + DBLE(delta_H_dtt(:,:))*DX*DY
     endwhere

! afq -- old_h_dtt has to be reset
     old_H_dtt(:,:)  = H(:,:)

! afq -- the accumulated calving need to be reset, BUT not here because of coupling freq.    
     calvin_GRIS(:,:) = calvin_GRIS(:,:)+calvingGRIS(:,:)
     calvingGRIS(:,:) = 0.
     

  
do K=1,13

! == Les moyennes      
      IF(INP(K).ne.0)THEN
          HMEAN_(K) = ISVOL(K)   /INP(K) ! /(DX*DY*INP(K))
          BMEAN_(K) = ISBM(K)    /INP(K)
          ACCMEAN_(K) = ISACC(K) /INP(K)
          ABLMEAN_(K) = ISABL(K) /INP(K)
          ABLBORDMEAN_(K) = ISABLBORD(K) /INP(K)
          CALVMEAN_(K)    = ISCALV(K)    /INP(K)
          ABLATOTMEAN_(K) = ABLATOT(K)   /INP(K)
          ITJJAMEAN_(K)   = ITJJA(K)     /INP(K)
       ENDIF
! == Les volmes intergres (3D)
      ISVOL(K) = ISVOL(K)*DX*DY     
              isacc(k)=isacc(k)*dx*dy
              isabl(k)=isabl(k)*dx*dy
              isablbord(k)=isablbord(k)*dx*dy
              ablatot(k)=ablatot(k)*dx*dy
              iscalv(k)=iscalv(k)*dx*dy
              isbm(k)=isbm(k)*dx*dy
              tacc(k)=tacc(k)*dx*dy
              tbm(k)=tbm(k)*dx*dy
enddo
!nom_table='abl'
!call printtable_r(abl,nom_table)

!====================================================
! -- Hemin40                : : 1   

      if (NP.ne.0) then 
!        HMEAN=VOL/NP 
!        VOL=VOL*DX*DY 
!        ISVOL(1) = VOL
!        BMEAN=BMEAN/NP 
!        ACCMEAN=ACCMEAN/NP 
!        ITJJAMEAN = ITJJA(1)/NP
!        ABLMEAN=BMEAN-ACCMEAN 
!!!     ABLMEAN = ABLMEAN/NP
!        CALVMEAN=CALVMEAN/NP 
!!!     BMELTMEAN=BMELTMEAN/NP
!!!     ABLBORDMEAN=ABLBORDMEAN/NP
!!!     ABLAMEAN = ABLAMEAN/NP
        TBMEAN=TBMEAN/NP
        TBDOTMEAN=TBDOTMEAN/NP
        VSMEAN=VSMEAN/NP
!       VSDOTMEAN=VSDOTMEAN/NP
        UZSMEAN=UZSMEAN/NP
        UZSDOTMEAN=UZSDOTMEAN/NP
        UZKMEAN=UZKMEAN/NP
        DELTAVOL = HDOTMEAN*DX*DY
        HDOTMEAN=HDOTMEAN/NP 
    ELSE
        TBMEAN=0.
        TBDOTMEAN=0.
        VSMEAN=0.
        UZSMEAN=0.
        UZSDOTMEAN=0.
        UZKMEAN=0.
        DELTAVOL = 0.
        HDOTMEAN=0.
      endif 

      BDOTMEAN=BDOTMEAN/NX/NY  

! 2_writing outputs
!------------------

!         WRITE(35,904)TIME,VOL,DELTAVOL,NP,ISACC(1),ISABL(1),      &
!          ISABLBORD(1),ABLATOT(1),ISCALV(1),ISBM(1),               &
!          ISVOL(2),INPL,ISACC(2),                                  &
!          ISABL(2),ISABLBORD(2),ABLATOT(2),ISCALV(2),ISBM(2),      &
!          ISVOL(3),INPG,ISACC(3),ISABL(3),ISABLBORD(3),            &
!          ABLATOT(3),ISCALV(3),ISBM(3),ISVOL(4),INPF,ISACC(4),     &
!          ISABL(4),ISABLBORD(4),ABLATOT(4),ISCALV(4),ISBM(4),      &
!          nint(HMEAN),nint(HMAX),BMEAN,TBMEAN,nint(VSMEAN),        &
!          TBDOTMEAN,HDOTMEAN,BDOTMEAN,BMELTMEAN,NPAB,    &
!!          TBDOTMEAN,VSDOTMEAN,HDOTMEAN,BDOTMEAN,BMELTMEAN,NPAB,    &
!          NPCAL,HDOTMEAN_G,TACC(1),TBM(1),TACC(2),TBM(2),          &
!          TACC(3),TBM(3),TACC(4),TBM(4),                           &
!           ITJJAMEAN,ITJJAMEAN_L,ITJJAMEAN_G,ITJJAMEAN_F,          &
!           ISVOL(5),INPLAB,ISACC(5),ABLATOT(5),ITJJAMEAN_LAB,      &
!           ISVOL(6),INPKEEW,ISACC(6),ABLATOT(6),ITJJAMEAN_KEEW,    &
!           ISVOL(7),INPINN,ISACC(7),ABLATOT(7),ITJJAMEAN_INN,      & 
!           ISVOL(8),INPCORD,ISACC(8),ABLATOT(8),ITJJAMEAN_CORD,    & 
!           ISVOL(9),INPSCAN,ISACC(9),ABLATOT(9),ITJJAMEAN_SCAN,    & 
!           ISVOL(10),INPBAR,ISACC(10),ABLATOT(10),ITJJAMEAN_BAR,   & 
!           ISVOL(11),INPKARA,ISACC(11),ABLATOT(11),ITJJAMEAN_KARA, &     
!           ISVOL(12),INPSIB,ISACC(12),ABLATOT(12),ITJJAMEAN_SIB,   &     
!           ISVOL(13),INPBRIT,ISACC(13),ABLATOT(13),ITJJAMEAN_BRIT, &
!           HMEAN,HMEAN_L,HMEAN_G,HMEAN_F,HMEAN_LAB,HMEAN_KEEW,     &
!           HMEAN_INN,HMEAN_CORD,HMEAN_SCAN,HMEAN_BAR,HMEAN_KARA,   &
!           HMEAN_SIB,HMEAN_BRIT,                                   &
!           HMAX,HMAX_L,HMAX_G,HMAX_F,HMAX_LAB,HMAX_KEEW,HMAX_INN,  &
!           HMAX_CORD, HMAX_SCAN,HMAX_BAR,HMAX_KARA,HMAX_SIB,HMAX_BRIT     




!print*,'========================='
!print*,'ecrit short, time = ',time,dt
!print*,'hdot ISABLBORD',hdot(30:40,100),ISABLBORD(2)

          write(num_ritz,905)   time,isvol(1),deltavol,inp(1),isvolf(1),inf(1),isacc(1),isabl(1),    &   ! 8
              ISABLBORD(1),ABLATOT(1),ISCALV(1),ISBM(1),     &                                     ! 4
  isvol(2),inp(2),isvolf(2),inf(2),isacc(2),isabl(2),isablbord(2),ablatot(2),iscalv(2),isbm(2),itjjamean_(2),hmean_(2),Hmax_(2), & ! 13
  isvol(3),inp(3),isvolf(3),inf(3),isacc(3),isabl(3),isablbord(3),ablatot(3),iscalv(3),isbm(3),itjjamean_(3),hmean_(3),hmax_(3), & ! 13
  isvol(4),inp(4),isvolf(4),inf(4),isacc(4),isabl(4),isablbord(4),ablatot(4),iscalv(4),isbm(4),itjjamean_(4),hmean_(4),hmax_(4), & ! 13
  isvol(5),inp(5),isvolf(5),inf(5),isacc(5),isabl(5),isablbord(5),ablatot(5),iscalv(5),isbm(5),itjjamean_(5),hmean_(5),hmax_(5), & ! 13
  isvol(6),inp(6),isvolf(6),inf(6),isacc(6),isabl(6),isablbord(6),ablatot(6),iscalv(6),isbm(6),itjjamean_(6),hmean_(6),hmax_(6), & ! 13
  isvol(7),inp(7),isvolf(7),inf(7),isacc(7),isabl(7),isablbord(7),ablatot(7),iscalv(7),isbm(7),itjjamean_(7),hmean_(7),hmax_(7), & ! 13
  isvol(8),inp(8),isvolf(8),inf(8),isacc(8),isabl(8),isablbord(8),ablatot(8),iscalv(8),isbm(8),itjjamean_(8),hmean_(8),hmax_(8), & ! 13
  isvol(9),inp(9),isvolf(9),inf(9),isacc(9),isabl(9),isablbord(9),ablatot(9),iscalv(9),isbm(9),itjjamean_(9),hmean_(9),hmax_(9), & ! 13
  isvol(10),inp(10),isvolf(10),inf(10),isacc(10),isabl(10),isablbord(10),ablatot(10),iscalv(10),isbm(10),itjjamean_(10),hmean_(10),hmax_(10), & ! 13
  isvol(11),inp(11),isvolf(11),inf(11),isacc(11),isabl(11),isablbord(11),ablatot(11),iscalv(11),isbm(11),itjjamean_(11),hmean_(11),hmax_(11), & ! 13
  isvol(12),inp(12),isvolf(12),inf(12),isacc(12),isabl(12),isablbord(12),ablatot(12),iscalv(12),isbm(12),itjjamean_(12),hmean_(12),hmax_(12), & ! 13
  isvol(13),inp(13),isvolf(13),inf(13),isacc(13),isabl(13),isablbord(13),ablatot(13),iscalv(13),isbm(13),itjjamean_(13),hmean_(13),hmax_(13) ! 13

 
! !! format 900 faux, a reprendre

905 format(f9.1,1x, e11.4,1x,e11.5, 1x,i5, 1x,e10.4,1x,i5 , 6(1x,e12.5), &
         12(2(1x,e10.4,1x,i5), 9(1x,e11.4) ) ) 
 
    
940   format('%%%% ',a,'   time=',f8.0,' %%%%')
end subroutine shortoutput


end module output_hemin40_mod
